var next,prev;

$(document).ready(function()
{
	$.get('http://192.168.2.222/api/json/index',function(data,status) /* Načte alba*/
	{
		var albums = data;
		$('#album').empty();
		albums.forEach(function(item)
		{
			$('<option value="' + item.id + '">' + item.name + '</option>').appendTo('#album');
		});
		$('#album').change();
	});
	

	
	$('#album').change(function() /* Provede se při změně alba a prvním načtení */
	{
		var index = $('#album option:selected').val();
		$.get('http://192.168.2.222/api/json/' + index,function(data,status) /* Načte fotografie */
		{
			var photos = data;
			$('#gallery').empty();
		
			photos.forEach(function(item) /* Vytvoří náhledy */
				{
					if(item.description)
					{
						$('#gallery').append('<figure><img src="' + item.url + '" alt="' + item.url + '"><p>' + item.description + '</p></figure>');
					}
					else
					{
						$('#gallery').append('<figure><img src="' + item.url + '" alt="' + item.url + '"></figure>');
					}
				}
			);
			
			$('figure').click(function() /* Vytvoří detail na celou obrazovku */
			{
				prev = $(this).prev();
				next = $(this).next();
				var src = $(this).children('img').attr('src');
				$('body').append('<div class="fullscreenImage"><img src="' + src + '" alt="' + src + '" ></div>');
				$('body').append('<span class="fullscreenClose">Zavřít</span>');
				$('body').append('<span class="fullscreenNext">Další</span>');
				$('body').append('<span class="fullscreenPrevious">Předchozí</span>');
				
				$('.fullscreenClose').click(function() /* Zavře celou obrazovku */
				{
					$('.fullscreenImage,.fullscreenClose,.fullscreenNext,.fullscreenPrevious').remove();
				});
				
				$('.fullscreenNext').click(function() /* Přepne na další obrázek */
				{
					$('.fullscreenImage,.fullscreenClose,.fullscreenNext,.fullscreenPrevious').remove();
					next.click();
				});
				
				$('.fullscreenPrevious').click(function() /* Přepne na minulý obrázek */
				{
					$('.fullscreenImage,.fullscreenClose,.fullscreenNext,.fullscreenPrevious').remove();
					prev.click();
				});
				
			});
		});		
		
		$('h1').html($('#album option:selected').html()); /* Nastaví h1 titulek na levém okraji */
		
	});
	
	/*$('body').keypress(function(e) /*Handlování vstupu z klávesnice. Mělo by volat funkce jednotlivých tlačítek na základě jejich existence a stisknuté klávesy*/
	/*{
		var code = e.which | e.code;
		
		if(code == )
		
	});*/
	
});